package com.pj.task;

import com.pj.api.dto.PaymentDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/payment/")
public class PaymentController {

    @Autowired
    private PaymentService paymentService;

    @RequestMapping("rpc/sendSXB010")
    public void sendSXB010(@RequestBody PaymentDto paymentDto) {
        paymentService.sendSXB010(paymentDto);
    }

    @RequestMapping("rpc/sendSXB013")
    public void sendSXB013(@RequestBody PaymentDto paymentDto) {
        paymentService.sendSXB013(paymentDto);
    }
}
